Bug 444367 - Error editing photo - Received execption "libfspot"
Summary: Error editing photo - Received execption "libfspot"
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: f-spot   
(Show other bugs)
Version: 9
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nigel Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-27 23:22 UTC by Joshua Bergland
Modified: 2008-07-23 07:14 UTC (History)
1 user (show)

Fixed In Version: 0.4.3.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 07:14:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Bergland 2008-04-27 23:22:47 UTC
Description of problem:
Whenever I attempt to modify an image I receive the following error in a dialog box:

Error editing photo

Received exception "libfspot".
Unable to save photo img_0512.jpg

There is no corresponding error output on the console when this happens. These
photos were imported using this version of f-spot just prior to attempting to
modify them.

Version-Release number of selected component (if applicable):

f-spot-0.4.2-5.fc9.x86_64

How reproducible:

Attempt to modify an image

Steps to Reproduce:
1.Import photo
2.Attempt to modify
3.Receive error above
  
Actual results:

Error editing photo

Received exception "libfspot".
Unable to save photo img_0512.jpg

Expected results:

Photo successfully modified and a new version created if necessary

Additional info:

Comment 1 Bug Zapper 2008-05-14 10:16:32 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Mikko Huhtala 2008-05-20 06:08:39 UTC
Problem still occurs with 0.4.3.1 from rawhide. The bug was discussed on the
F-spot mailing list at

http://mail.gnome.org/archives/f-spot-list/2008-March/msg00000.html

and there was a patch at

http://bugzilla.gnome.org/attachment.cgi?id=105503&action=view

The patch is supposed to be included in 0.4.2, but for some reason it still does
not work on Fedora.

Comment 3 Mikko Huhtala 2008-05-20 06:52:45 UTC
Ooops, strike the previous comment. 0.4.3.1 from rawhide does work for me. I
needed to remove the old f-spot directory from .gnome2 first, though.


Comment 4 Nigel Jones 2008-07-12 06:32:07 UTC
I'm going to try and do a 0.4.3 update soon, lets hope it gets fixed.

Comment 5 Fedora Update System 2008-07-14 11:23:15 UTC
f-spot-0.4.3.1-1.fc9 has been submitted as an update for Fedora 9

Comment 6 Fedora Update System 2008-07-15 12:19:27 UTC
f-spot-0.4.3.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update f-spot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6313

Comment 7 Fedora Update System 2008-07-23 07:14:13 UTC
f-spot-0.4.3.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.